| Version: 2.9.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxSocketInputStream Class Reference
Networking | Streams

`#include <wx/sckstrm.h>`

Inheritance diagram for wxSocketInputStream:
[legend]

## Detailed Description

This class implements an input stream which reads data from a connected socket.

Note that this stream is purely sequential and it does not support seeking.

##

Library: wxNet
Category: Networking, Streams

See Also
  wxSocketBase

## Public Member Functions

| wxSocketInputStream (wxSocketBase &s)
| Creates a new read-only socket stream using the specified initialized socket connection.
Public Member Functions inherited from wxInputStream
| wxInputStream ()
| Creates a dummy input stream.
virtual | ~wxInputStream ()
| Destructor.
virtual bool | CanRead () const
| Returns true if some data is available in the stream right now, so that calling Read() wouldn't block.
virtual bool | Eof () const
| Returns true after an attempt has been made to read past the end of the stream.
int | GetC ()
| Returns the first character in the input queue and removes it, blocking until it appears if necessary.
virtual size_t | LastRead () const
| Returns the last number of bytes read.
virtual char | Peek ()
| Returns the first character in the input queue without removing it.
virtual wxInputStream & | Read (void *buffer, size_t size)
| Reads the specified amount of bytes and stores the data in buffer.
wxInputStream & | Read (wxOutputStream &stream_out)
| Reads data from the input queue and stores it in the specified output stream.
bool | ReadAll (void *buffer, size_t size)
| Reads exactly the specified number of bytes into the buffer.
virtual wxFileOffset | SeekI (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position.
virtual wxFileOffset | TellI () const
| Returns the current stream position or wxInvalidOffset if it's not available (e.g.
size_t | Ungetch (const void *buffer, size_t size)
| This function is only useful in read mode.
bool | Ungetch (char c)
| This function acts like the previous one except that it takes only one character: it is sometimes shorter to use than the generic function.
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object.
virtual | ~wxStreamBase ()
| Destructor.
wxStreamError | GetLastError () const
| This function returns the last error.
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes.
virtual size_t | GetSize () const
| This function returns the size of the stream.
virtual bool | IsOk () const
| Returns true if no error occurred on the stream.
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets.
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state.
bool | operator! () const
| Returns the opposite of IsOk().

## Additional Inherited Members

Protected Member Functions inherited from wxInputStream
size_t | OnSysRead (void *buffer, size_t bufsize)=0
| Internal function.

## Constructor & Destructor Documentation

wxSocketInputStream::wxSocketInputStream | ( | wxSocketBase & | s | ) |

Creates a new read-only socket stream using the specified initialized socket connection.